sidmemory Class Referenceabstract

`#include <sidmemory.h>`

Inheritance diagram for sidmemory:

## Public Member Functions

virtual uint8_t | readMemByte (uint_least16_t addr)=0
virtual uint_least16_t | readMemWord (uint_least16_t addr)=0
virtual void | writeMemByte (uint_least16_t addr, uint8_t value)=0
virtual void | writeMemWord (uint_least16_t addr, uint_least16_t value)=0
virtual void | fillRam (uint_least16_t start, uint8_t value, unsigned int size)=0
virtual void | fillRam (uint_least16_t start, const uint8_t *source, unsigned int size)=0
virtual void | installResetHook (uint_least16_t addr)=0
virtual void | installBasicTrap (uint_least16_t addr)=0
virtual void | setBasicSubtune (uint8_t tune)=0

## Detailed Description

An interface that allows access to c64 memory for loading tunes and apply sid specific hacks.

## Member Function Documentation

## fillRam() [1/2]

virtual void sidmemory::fillRam | ( | uint_least16_t | start,
|  | uint8_t | value,
|  | unsigned int | size
| ) |  |

pure virtual

Fill ram area with a constant value.

Parameters

  start | the start of memory location where to write
  value | the value to write
  size | the number of bytes to fill

Implemented in MMU.

## fillRam() [2/2]

virtual void sidmemory::fillRam | ( | uint_least16_t | start,
|  | const uint8_t * | source,
|  | unsigned int | size
| ) |  |

pure virtual

Copy a buffer into a ram area.

Parameters

  start | the start of memory location where to write
  source | the source buffer
  size | the number of bytes to copy

Implemented in MMU.

## installBasicTrap()

virtual void sidmemory::installBasicTrap | ( | uint_least16_t | addr | ) |

pure virtual

Set BASIC Warm Start address.

Parameters

  addr | the new addres to point to

Implemented in MMU.

## installResetHook()

virtual void sidmemory::installResetHook | ( | uint_least16_t | addr | ) |

pure virtual

Change the RESET vector.

Parameters

  addr | the new addres to point to

Implemented in MMU.

## readMemByte()

virtual uint8_t sidmemory::readMemByte | ( | uint_least16_t | addr | ) |

pure virtual

Read one byte from memory.

Parameters

  addr | the memory location from which to read from

Implemented in MMU.

## readMemWord()

virtual uint_least16_t sidmemory::readMemWord | ( | uint_least16_t | addr | ) |

pure virtual

Read two contiguous bytes from memory.

Parameters

  addr | the memory location from which to read from

Implemented in MMU.

## setBasicSubtune()

virtual void sidmemory::setBasicSubtune | ( | uint8_t | tune | ) |

pure virtual

Set the start tune.

Parameters

  tune | the tune number

Implemented in MMU.

## writeMemByte()

virtual void sidmemory::writeMemByte | ( | uint_least16_t | addr,
|  | uint8_t | value
| ) |  |

pure virtual

Write one byte to memory.

Parameters

  addr | the memory location where to write
  value | the value to write

Implemented in MMU.

## writeMemWord()

virtual void sidmemory::writeMemWord | ( | uint_least16_t | addr,
|  | uint_least16_t | value
| ) |  |

pure virtual

Write two contiguous bytes to memory.

Parameters

  addr | the memory location where to write
  value | the value to write

Implemented in MMU.

The documentation for this class was generated from the following file:

- sidmemory.h